
operationId: updateCustomer
summary: Update customer
tags:
  -  customers

parameters:
  - $ref: ../../components/header-parameters/tenant-subdomain.yml
  - $ref: ../../components/path-parameters/id.yml

requestBody:
  content:
    application/json:
      schema:
        allOf:
          - $ref: ../../components/schemas/entities/customer/properties.yml
          - properties:
              user:
                allOf:
                  - $ref: ../../components/schemas/entities/user/properties.yml
responses:
  200:
    description: Success
    content:
      application/json:
        schema:
          allOf:
            - $ref: ../../components/schemas/entities/customer/properties.yml
            - $ref: ../../components/schemas/entities/customer/relations.yml
  400:
    $ref: ../../components/responses/400-bad-request.yml
